# 수업계획서

## 과정 설명

이 과정은 협동로봇의 기본적인 이해부터 고급 프로그래밍 기술까지 다루며, 학생들이 협동로봇을 활용한 다양한 작업 공정을 설계하고 구현할 수 있는 능력을 배양하는 것을 목표로 합니다. 로봇 시스템 설치, 조작, 프로그래밍, 그리고 실제 작업 공정 구현까지의 전 과정을 학습합니다.

## 학습 목표

이 과정을 성공적으로 마친 학생은 다음과 같은 능력을 갖추게 됩니다:

- 협동로봇의 하드웨어 및 소프트웨어 시스템 설치 및 설정하기
- 협동로봇의 기본적인 모션 명령어와 프로그래밍 언어 이해하기
- 안전 제한치 설정 및 충돌 감지 기능을 활용하여 작업자의 안전 보장하기
- 협동로봇을 활용한 작업 공정(예: Pick & Place, 팔레타이징) 설계 및 구현하기
- 고급 프로그래밍 기술(DRL, 순응제어, 힘제어 등)을 활용하여 복잡한 작업 수행하기

## 선수 조건

- 기본적인 컴퓨터 시스템 이해
- 프로그래밍 기초 지식

## 과정 개요

### 1주차: 로봇 시스템 이해, 협동로봇 시작하기

**개요**:

- 하드웨어 설치, 시스템 환경 설정, DART-Platform 설치 및 연결, Servo On & 안전 복구

**핵심 학습 성과**:

- 협동로봇 시스템의 기본 구성 요소 및 작동 원리 이해
- 기본 안전 및 복구 절차 숙지

### 2주차: 로봇 시스템 이해 (좌표계, 조작, 인터페이스)

**개요**:

- 좌표계 이해, 조작 방법, 인터페이스(IO\_Digital 등), 원크셀 매니저 설정, 기능 설정

**핵심 학습 성과**:

- 로봇 좌표계 및 조작법에 대한 이해
- 다양한 인터페이스 및 설정 방법 숙지

### 3-4주차: Task Builder 프로그램 환경 및 기초 모션 명령어

**개요**:

- 기초 모션 명령어, 안전 제한치 설정, Pick & Place Skill 모션(Movel, MoveL) 활용

**핵심 학습 성과**:

- 기초적인 로봇 프로그래밍 및 안전 관리 기능 이해
- 단순 Pick & Place 작업 프로그래밍 능력 습득

### 5-6주차: Task Builder 고급 환경 및 Palletizing

**개요**:

- Pallet 생성 및 Pallet Pick & Place Skill을 활용한 팔레타이징 공정 구현

**핵심 학습 성과**:

- 팔레타이징 작업 공정의 설계 및 구현 능력 습득

### 7주차: Task Writer 프로그램 환경

**개요**:

- Pick & Place, 순응제어, 힘제어 프로그래밍

**핵심 학습 성과**:

- 고급 제어 기법을 활용한 복잡한 작업 수행 능력 개발

### 8주차: 프로그램 언어 기초

**개요**:

- Python 및 DRL(Doosan Robotics Language) 기초

**핵심 학습 성과**:

- 협동로봇을 위한 프로그래밍 언어 기초 이해 및 적용 능력 습득

### 9-11주차: DRL 활용

**개요**:

- 흐름 제어, 소켓 통신, Modbus ICP, I/O 활용 프로그래밍

**핵심 학습 성과**:

- 복잡한 로봇 프로그램 개발 및 통신을 통한 외부 기기 제어 능력 개발

### 12-13주차: 협동로봇 심화 실습

**개요**:

- 어플리케이션 프로그램 작성(머신 텐딩, 자유 주제)

**핵심 학습 성과**:

- 실제 작업 환경에서 협동로봇을 활용한 고급 어플리케이션 개발 능력 습득

### 14주차: 협동로봇 심화 실습 (통신 및 I/O 활용)

**개요**:

- 통신과 I/O를 활용한 리모트 컨트롤 제어 실습

**핵심 학습 성과**:

- 협동로봇을 원격으로 제어하는 고급 기술 습득

### 15주차: REPORT 발표

**개요**:

- 학기 동안의 프로젝트 및 실습 결과 발표

**핵심 학습 성과**:

- 프로젝트 결과물을 정리하고 발표하는 능력 개발

## 평가

- 수업 참여: 20%
- 과제: 50%
- 학기 프로젝트: 30%

## 교재 및 자료

필수 교재는 없습니다. 수업에서 필요한 모든 자료는 제공됩니다.
